%define fw_version 5.41

Summary:	KDE Frameworks 5 system notifications module
Name:		knotifications
Version:	5.41.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5codecs-devel >= %{version}
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5iconthemes-devel >= %{version}
BuildRequires:	kf5service-devel >= %{version}
BuildRequires:	kf5windowsystem-devel >= %{version}
BuildRequires:	pkgconfig(dbusmenu-qt5)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11)

%description
KDE Frameworks 5 system notifications module.

%files
%{_kde5_servicetypes}/knotificationplugin.desktop

#----------------------------------------------------------------------------

%package i18n
Summary:	KNotifications translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KNotifications translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5notifications_major 5
%define libkf5notifications %mklibname kf5notifications %{kf5notifications_major}

%package -n %{libkf5notifications}
Summary:	KDE Frameworks 5 system notifications shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5notifications}
KDE Frameworks 5 system notifications shared library.

%files -n %{libkf5notifications}
%{_kde5_libdir}/libKF5Notifications.so.%{kf5notifications_major}*

#----------------------------------------------------------------------------

%define devkf5notifications %mklibname kf5notifications -d

%package -n %{devkf5notifications}
Summary:	Development files for KDE Frameworks 5 system notifications module
Group:		Development/KDE and Qt
Requires:	%{libkf5notifications} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5notifications-devel = %{version}
Conflicts:	%{name} < 5.7.0-2

%description -n %{devkf5notifications}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5notifications}
%{_kde5_includedir}/KF5/KNotifications
%{_kde5_includedir}/KF5/knotifications_version.h
%{_kde5_libdir}/cmake/KF5Notifications
%{_kde5_libdir}/libKF5Notifications.so
%{_kde5_mkspecsdir}/*.pri
%{_datadir}/dbus-1/interfaces/kf5_org.kde.*.xml

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (fdcba4e) New version 5.41.0

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (852825e) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (636f325) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (c79ee54) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (fa68a5e) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (557f104) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (d414b30) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (acbb058) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (2241230) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (cbc95d7) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (af6a548) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (26d71c9) MassBuild#1018: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (75f325f) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (170f5fa) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (8f07b7f) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (9005caf) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (e633e45) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (3b3efdf) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (107561d) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (b7878fc) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (519d1aa) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (738b244) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (d66ce89) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (f5d8f4a) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (47bb22b) New version 5.11.0

* Sat May 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (9f32e19) New version 5.10.0

* Fri Apr 10 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (692b2d3) New version 5.9.0

* Wed Mar 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.0-1
- (3ed3932) Drop datapath patch, seems to be no longer needed
- (Andrey Bondrov: 33d368d) New version 5.8.0

* Sun Mar 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.0-5
- (1ec4381) Add patch to fix datapath in cmake module


